# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ config, pkgs, ... }:

{
  imports =
    [ # Include the results of the hardware scan.
        ./hardware-configuration.nix
        ../../common/common.nix
        ../../common/netdata.nix
        ../../common/kvm.nix
        ./gitea.nix
    ];

  # Use the systemd-boot EFI boot loader.
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  networking.hostName = "geon";
  networking.useDHCP = false;
  networking.interfaces.ens18.useDHCP = true;
  networking.interfaces.ens18.mtu = 1420;
  networking.interfaces.ens18.ipv6.addresses = [{
    address = "2a01:4f8:c010:61dc:200::500:1";
    prefixLength = 72;
  }];

  networking.defaultGateway6 = {
    address = "2a01:4f8:c010:61dc:200::1";
    interface = "ens18";
  };

  clerie.monitoring = {
    enable = true;
    id = "201";
    privKeyFile = "/run/keys/wg-geon_priv";
    pubkey = "WlVtrmfqZs6acvi185ovDn6NS2sZQkQNUf2oG0/QIx0=";
  };
}