{ config, pkgs, ... }:

{
  imports =
    [ # Include the results of the hardware scan.
      ./hardware-configuration.nix
        ../../common/common.nix
        ../../common/kvm.nix
        ./drone.nix
    ];

  # Use the systemd-boot EFI boot loader.
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  networking.hostName = "nebula";
  time.timeZone = "Europe/Berlin";

  networking.useDHCP = false;
  networking.interfaces.ens18.useDHCP = true;
  networking.interfaces.ens18.mtu = 1420;
  networking.interfaces.ens18.ipv6.addresses = [{
    address = "2a01:4f8:c010:61dc:200::500:2";
    prefixLength = 72;
  }];

  networking.defaultGateway6 = {
    address = "2a01:4f8:c010:61dc:200::1";
    interface = "ens18";
  };

  clerie.monitoring = {
    enable = true;
    id = "203";
    privKeyFile = "/run/keys/wg-nebula_priv";
    pubkey = "tfBtyAOJ5OtkTulQVI5+cY+vGd9x2l09NaL0Va7B520=";
  };

}